Class to create and manage a relationship group. Useful to manage behavior between Peds.

### Hierarchy

- RelationshipGroup

## Index

### Constructors

- constructor

### Properties

- hash

### Accessors

- Hash

### Methods

- clearRelationshipBetweenGroups
- getRelationshipBetweenGroups
- remove
- setRelationshipBetweenGroups

## Constructors

### constructor

- new RelationshipGroup(name: string, groupHash?: number): RelationshipGroup

- - Defined in RelationshipGroup.ts:18

  Create a relationship group. Optionally pass a group hash.

  #### Parameters

  - ##### name: string

    Name of the relationship group.

  - ##### Optional groupHash: number

    Optional custom group hash (default: 0).

  #### Returns RelationshipGroup

## Properties

### Private hash

hash: number

- Defined in RelationshipGroup.ts:10

The hash of the relationship group

## Accessors

### Hash

- get Hash(): number

- - Defined in RelationshipGroup.ts:29

  Gets the hash of the relationship group.

  #### Returns number

  The hash of this object.

## Methods

### clearRelationshipBetweenGroups

- clearRelationshipBetweenGroups(targetGroup: RelationshipGroup, relationship: Relationship, biDirectionally?: boolean): void

- - Defined in RelationshipGroup.ts:69

  Clear the relationship between this relationship group and another.

  #### Parameters

  - ##### targetGroup: RelationshipGroup

    The other relationship group.

  - ##### relationship: Relationship

    The desired relationship to clear.

  - ##### biDirectionally: boolean = false

    Whether the target group should also clear the relationship.

  #### Returns void

### getRelationshipBetweenGroups

- getRelationshipBetweenGroups(targetGroup: RelationshipGroup): Relationship

- - Defined in RelationshipGroup.ts:39

  Get the relationship between two relationship groups.

  #### Parameters

  - ##### targetGroup: RelationshipGroup

    The other relationship group.

  #### Returns Relationship

  The relationship

### remove

- remove(): void

- - Defined in RelationshipGroup.ts:84

  Remove this relationship group from the game. This will not delete this object.

  #### Returns void

### setRelationshipBetweenGroups

- setRelationshipBetweenGroups(targetGroup: RelationshipGroup, relationship: Relationship, biDirectionally?: boolean): void

- - Defined in RelationshipGroup.ts:50

  Set the relationship group between this relationship group and another one.

  #### Parameters

  - ##### targetGroup: RelationshipGroup

    The other relationship group.

  - ##### relationship: Relationship

    The desired relationship.

  - ##### biDirectionally: boolean = false

    If target group should have same relationship towards this.

  #### Returns void

Generated using TypeDoc